Error The update is not applicable to your computer When Installing PowerShell V3

PowerShell V3 and PowerShell ISE V3 is not a port of Windows 7 and Windows Server 2008 R2. However, you can download it from here.

You might receive following error when you install the msu file

The update is not applicable to your computer

Solution

  1. Installed Windows 7 and Windows Server 2008 R2 Service Pack 1
  2. Install .NET 4.0 Full Profile. ( not client profile )

Leave a Reply

Your email address will not be published.